#include "completerdemowidget.h"
#include "ui_completerdemowidget.h"

#include <QCompleter>

CompleterDemoWidget::CompleterDemoWidget( QWidget* parent ) :
    QWidget( parent ),
    ui( new Ui::CompleterDemoWidget ) {
    ui->setupUi( this );

    connect( ui->bnAdd, SIGNAL( clicked( bool ) ), SLOT( onAddWord() ) );

    QCompleter* completer = new QCompleter( this );
    completer->setModel( ui->listWidget->model() );
    completer->setCaseSensitivity( Qt::CaseInsensitive );
    ui->lnEdit->setCompleter( completer );
}

CompleterDemoWidget::~CompleterDemoWidget() {
    delete ui;
}

void CompleterDemoWidget::onAddWord() {
    const QString text = ui->lnEdit->text().trimmed();
    if( text.isEmpty() ) {
        return;
    }
    if( !ui->listWidget->findItems( text, Qt::MatchFixedString ).isEmpty() ) {
        return;
    }

    ui->listWidget->addItem( text );
    ui->lnEdit->clear();
}
